#ifndef MISC_ASM_H
#define MISC_ASM_H

#ifndef ASM

void SwapLR(register __i0 s_int16 *data, register __c0 s_int16 wordsPerSample, register __a0 s_int16 stereoSamples);
void Monoize(register __i0 s_int16 *data, register __c0 s_int16 wordsPerSample, register __a0 s_int16 stereoSamples);
void InvertCh(register __i0 s_int16 *data, register __c0 s_int16 wordsPerSample, register __a0 s_int16 stereoSamples);

#endif /* !ASM */

#endif /* !MISC_ASM_H */
